Skip to content

Get guardrails.

GET
/backend/v1/scanners

Retrieves a list of guardrails that match the given criteria,
with the option to adjust the limit for more results.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Query Parameters

includePackages

Include the packages for guardrails in the response.

Type
boolean
Default
false
cursor

Selects page for paginated results. Pass in the next or prev attribute in the response

search

Only return results that match the given text.

limit

Limits the amount of results.

Type
integer
Default
10
Maximum
100
Minimum
1
ascending

Whether results should be sorted in ascending order.

Type
boolean
Default
false
published

Get guardrails that match the given published state.

direction

Get results that scan in the given direction.

source

Get results that were created from the given source.

type

Get results that are of the given scan type.

packaged

Get results that are packaged or not.

sortBy

Sort results by the given parameter.

Default
"created_at"
active

Get results that are active/inactive. Only has an effect if addedToProjectId or availableToProjectId is provided.

groupId

Get results created for the given group.

endpoint

Get results match the chosen active state for the given endpoint.

enabledForProject

Get results match the chosen active state for the given project.

tags

Get results with the given tags.

addedToProjectId

Get guardrails added to project.

accessibleToProjectId

Get guardrails accessible to project.

packageId

Get guardrails that belong to the specified packages.

Type
array
Default
mode

Get guardrails that are set to given mode(s) for the chosen project.

Responses

Successful Response

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: